org.slf4j.profiler

## Enum DurationUnit

- java.lang.Object
- - java.lang.Enum<DurationUnit>
  - - org.slf4j.profiler.DurationUnit

- All Implemented Interfaces:
    Serializable, Comparable<DurationUnit>

      public enum DurationUnit
      extends Enum<DurationUnit>

  An enum of supported time units.
  Author:
    Ceki

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MICROSECOND`
    `MILLISSECOND`
    `NANOSECOND`
    `SECOND`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DurationUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DurationUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NANOSECOND

          public static final DurationUnit NANOSECOND

    - #### MICROSECOND

          public static final DurationUnit MICROSECOND

    - #### MILLISSECOND

          public static final DurationUnit MILLISSECOND

    - #### SECOND

          public static final DurationUnit SECOND

  - ### Method Detail

    - #### values

          public static DurationUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DurationUnit c : DurationUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DurationUnit valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2017 QOS.ch. All rights reserved.